﻿namespace XamDataGridRecycle
{
    using System;
    using System.Collections.Generic;
    using System.Windows;
    using System.Windows.Media;

    public partial class App : Application
  {

    public static Dictionary<string, Color> RandomSettings = new Dictionary<string, Color>();

    protected override void OnStartup(StartupEventArgs e)
    {
      RandomSettings["TestProperty1"] = Colors.Red;
      RandomSettings["TestProperty10"] = Colors.Green;

      MainWindowViewModel vm = new MainWindowViewModel();
      MainWindow window = new MainWindow();
      window.DataContext = vm;
      window.Show();

      base.OnStartup(e);
    }
  }
}
